gtkglextmm: Gdk::GL::PixmapExtProxy Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Gdk::GL::PixmapExtProxy Class Reference

`#include <pixmapext.h>`

List of all members.

## Public Member Functions
Glib::RefPtr< Pixmap > | set_gl_capability (const Glib::RefPtr< const Config > &glconfig, const int *attrib_list=0)
void | unset_gl_capability ()
bool | is_gl_capable () const
Glib::RefPtr< Pixmap > | get_gl_pixmap () const
Glib::RefPtr< Gdk::GL::Drawable > | get_gl_drawable () const
## Friends
PixmapExtProxy | ext (const Glib::RefPtr< Gdk::Pixmap > &)
const PixmapExtProxy | ext (const Glib::RefPtr< const Gdk::Pixmap > &)

## Member Function Documentation

Glib::RefPtr<Gdk::GL::Drawable> Gdk::GL::PixmapExtProxy::get_gl_drawable | ( |  | ) | const

| Returns the Gdk::GL::Drawable held by the Gdk::Pixmap . Returns: The Gdk::GL::Drawable.

Glib::RefPtr<Pixmap> Gdk::GL::PixmapExtProxy::get_gl_pixmap | ( |  | ) | const

| Returns the Gdk::GL::Pixmap held by the Gdk::Pixmap . Returns: The Gdk::GL::Pixmap.

bool Gdk::GL::PixmapExtProxy::is_gl_capable | ( |  | ) | const

| Returns whether the Gdk::Pixmap is OpenGL-capable. Returns: `true` if the Gdk::Pixmap is OpenGL-capable, `false` otherwise.

Glib::RefPtr<Pixmap> Gdk::GL::PixmapExtProxy::set_gl_capability | ( | const Glib::RefPtr< const Config > & | glconfig,
|  | const int * | attrib_list = `0`
| ) |

  | Set the OpenGL-capability to the Gdk::Pixmap. This function creates a new Gdk::GL::Pixmap held by the Gdk::Pixmap. attrib_list is currently unused. This must be set to `0` or empty (first attribute of None). Parameters:
  | glconfig | A Gdk::GL::Config.
  | attrib_list | This must be set to `0` or empty (first attribute of None).
Returns: The Gdk::GL::Pixmap used by the Gdk::Pixmap if it is successful, `0` otherwise.

void Gdk::GL::PixmapExtProxy::unset_gl_capability | ( |  | ) |

| Unset the OpenGL-capability of the Gdk::Pixmap . This function destroys the Gdk::GL::Pixmap held by the Gdk::Pixmap.

## Friends And Related Function Documentation

const PixmapExtProxy ext | ( | const Glib::RefPtr< const Gdk::Pixmap > & | pixmap | ) | `[friend]`

  | OpenGL extension API wrapper. This is a Gdk::Pixmap wrapper to invoke OpenGL extension function. See Gdk::GL::PixmapExtProxy for available functions. Parameters:
  | pixmap | A Gdk::Pixmap.

PixmapExtProxy ext | ( | const Glib::RefPtr< Gdk::Pixmap > & | pixmap | ) | `[friend]`

| OpenGL extension API wrapper. This is a Gdk::Pixmap wrapper to invoke OpenGL extension function. See Gdk::GL::PixmapExtProxy for available functions. Here is a simple example:
     Glib::RefPtr<Gdk::Pixmap> pixmap =
       Gdk::Pixmap::create(0, width, height, glconfig->get_depth());
     Glib::RefPtr<Gdk::GL::Pixmap> glpixmap =
       Gdk::GL::ext(pixmap).set_gl_capability(glconfig);
     std::cout << "OpenGL-capable? "
               << Gdk::GL::ext(pixmap).is_gl_capable()
               << std::endl;
  Parameters:
  | pixmap | A Gdk::Pixmap.

The documentation for this class was generated from the following file:

- gdkmm/gl/pixmapext.h